/*
 * $Id: whitelist.c 83 2006-08-16 07:37:05Z csl $
 *
 * Copyright (C) 2006, 2007 Christian Stigen Larsen
 * Distributed under the GNU General Public License v2
 *
 * This is a list of two-level TLDs, snipped from
 * http://spamcheck.freeapp.net/two-level-tlds
 *
 * The point is that www.somewhere.co.uk should not
 * be reduced to co.uk, but instead somewhere.co.uk
 * when checking against the SURBL.org blacklists.
 *
 */

// ends with null pointer
const char* two_level_tlds[] = {
"2000.hu",
"ab.ca",
"ac.ae",
"ac.at",
"ac.be",
"ac.cn",
"ac.cr",
"ac.cy",
"ac.fj",
"ac.fk",
"ac.gg",
"ac.id",
"ac.il",
"ac.im",
"ac.in",
"ac.ir",
"ac.je",
"ac.jp",
"ac.kr",
"ac.ma",
"ac.ng",
"ac.nz",
"ac.om",
"ac.pa",
"ac.pg",
"ac.th",
"ac.ug",
"ac.uk",
"ac.vn",
"ac.yu",
"ac.za",
"ac.zw",
"ad.jp",
"adm.br",
"adv.br",
"aero.tt",
"aeroport.fr",
"agr.br",
"agrar.hu",
"agro.pl",
"ah.cn",
"aichi.jp",
"aid.pl",
"akita.jp",
"alderney.gg",
"alt.na",
"alt.za",
"am.br",
"aomori.jp",
"arq.br",
"art.br",
"art.do",
"art.dz",
"arts.co",
"arts.ro",
"arts.ve",
"asn.au",
"asn.lv",
"ass.dz",
"assedic.fr",
"asso.fr",
"asso.re",
"at.tt",
"atm.pl",
"ato.br",
"au.com",
"au.tt",
"auto.pl",
"avocat.fr",
"avoues.fr",
"barreau.fr",
"bbs.tr",
"bc.ca",
"be.tt",
"belgie.be",
"bib.ve",
"bio.br",
"biz.et",
"biz.om",
"biz.pk",
"biz.pl",
"biz.tt",
"biz.vn",
"bj.cn",
"bmd.br",
"bolt.hu",
"bourse.za",
"br.com",
"brand.se",
"ca.tt",
"casino.hu",
"cci.fr",
"ch.vu",
"chambagri.fr",
"chiba.jp",
"chirurgiens-dentistes.fr",
"cim.br",
"city.hu",
"city.za",
"cn.com",
"cng.br",
"cnt.br",
"co.ae",
"co.at",
"co.ck",
"co.cr",
"co.dk",
"co.gg",
"co.hu",
"co.id",
"co.il",
"co.im",
"co.in",
"co.ir",
"co.je",
"co.jp",
"co.kr",
"co.ma",
"co.nz",
"co.om",
"co.st",
"co.th",
"co.tt",
"co.tv",
"co.ug",
"co.uk",
"co.ve",
"co.vi",
"co.yu",
"co.za",
"co.zw",
"com.ac",
"com.ae",
"com.ai",
"com.ar",
"com.au",
"com.az",
"com.bb",
"com.bh",
"com.bm",
"com.br",
"com.bs",
"com.cn",
"com.co",
"com.cu",
"com.cy",
"com.do",
"com.dz",
"com.ec",
"com.ee",
"com.eg",
"com.er",
"com.es",
"com.et",
"com.fj",
"com.fk",
"com.fr",
"com.ge",
"com.gr",
"com.gt",
"com.gu",
"com.hk",
"com.jo",
"com.kh",
"com.kw",
"com.la",
"com.lb",
"com.lc",
"com.lv",
"com.ly",
"com.mk",
"com.mm",
"com.mn",
"com.mo",
"com.mt",
"com.mx",
"com.my",
"com.na",
"com.nc",
"com.ng",
"com.ni",
"com.np",
"com.om",
"com.pa",
"com.pe",
"com.pg",
"com.ph",
"com.pk",
"com.pl",
"com.pt",
"com.py",
"com.qa",
"com.re",
"com.ro",
"com.ru",
"com.sa",
"com.sb",
"com.sd",
"com.sg",
"com.sh",
"com.st",
"com.sv",
"com.sy",
"com.tn",
"com.tr",
"com.tt",
"com.tw",
"com.ua",
"com.uy",
"com.ve",
"com.vn",
"com.vu",
"com.ws",
"com.ye",
"conf.au",
"conf.lv",
"consulado.st",
"coop.br",
"coop.tt",
"cq.cn",
"cri.nz",
"csiro.au",
"cul.na",
"de.com",
"de.net",
"de.tt",
"de.vu",
"dk.org",
"dk.tt",
"dni.us",
"dns.be",
"e164.arpa",
"ecn.br",
"ed.cr",
"ed.jp",
"edu.ac",
"edu.ai",
"edu.ar",
"edu.au",
"edu.bh",
"edu.bm",
"edu.br",
"edu.ck",
"edu.cn",
"edu.co",
"edu.do",
"edu.dz",
"edu.ec",
"edu.eg",
"edu.er",
"edu.es",
"edu.et",
"edu.ge",
"edu.gr",
"edu.gt",
"edu.gu",
"edu.hk",
"edu.jo",
"edu.kh",
"edu.kw",
"edu.lb",
"edu.lc",
"edu.lv",
"edu.mm",
"edu.mn",
"edu.mo",
"edu.mt",
"edu.mx",
"edu.my",
"edu.na",
"edu.ng",
"edu.ni",
"edu.np",
"edu.om",
"edu.pa",
"edu.pe",
"edu.pk",
"edu.pl",
"edu.ps",
"edu.pt",
"edu.py",
"edu.qa",
"edu.sa",
"edu.sb",
"edu.sd",
"edu.sg",
"edu.sh",
"edu.st",
"edu.sv",
"edu.tr",
"edu.tt",
"edu.tw",
"edu.ua",
"edu.uk",
"edu.uy",
"edu.ve",
"edu.vn",
"edu.vu",
"edu.ws",
"edu.ye",
"edu.yu",
"edu.za",
"edunet.tn",
"ehime.jp",
"embaixada.st",
"eng.br",
"ens.tn",
"ernet.in",
"erotica.hu",
"erotika.hu",
"es.tt",
"esp.br",
"etc.br",
"eti.br",
"eu.com",
"eu.org",
"eu.tt",
"eun.eg",
"experts-comptables.fr",
"fam.pk",
"far.br",
"fax.nr",
"fed.us",
"fgov.be",
"fh.se",
"fhsk.se",
"fhv.se",
"fi.cr",
"fie.ee",
"film.hu",
"fin.ec",
"fin.tn",
"firm.co",
"firm.in",
"firm.ro",
"firm.ve",
"fm.br",
"fnd.br",
"forum.hu",
"fot.br",
"fr.tt",
"fr.vu",
"fst.br",
"fukui.jp",
"fukuoka.jp",
"fukushima.jp",
"g12.br",
"games.hu",
"gb.com",
"gb.net",
"gc.ca",
"gd.cn",
"geek.nz",
"gen.in",
"gen.nz",
"gen.tr",
"geometre-expert.fr",
"ggf.br",
"gifu.jp",
"gmina.pl",
"go.cr",
"go.id",
"go.jp",
"go.kr",
"go.th",
"go.ug",
"gob.do",
"gob.es",
"gob.gt",
"gob.mx",
"gob.ni",
"gob.pa",
"gob.pe",
"gob.pk",
"gob.sv",
"gok.pk",
"gon.pk",
"gop.pk",
"gos.pk",
"gouv.fr",
"gov.ac",
"gov.ae",
"gov.ai",
"gov.ar",
"gov.au",
"gov.bh",
"gov.bm",
"gov.br",
"gov.ck",
"gov.cn",
"gov.co",
"gov.cy",
"gov.do",
"gov.dz",
"gov.ec",
"gov.eg",
"gov.er",
"gov.et",
"gov.fj",
"gov.fk",
"gov.ge",
"gov.gg",
"gov.gr",
"gov.gu",
"gov.hk",
"gov.il",
"gov.im",
"gov.in",
"gov.ir",
"gov.je",
"gov.jo",
"gov.jp",
"gov.kh",
"gov.kw",
"gov.lb",
"gov.lc",
"gov.lv",
"gov.mm",
"gov.mn",
"gov.mo",
"gov.my",
"gov.ng",
"gov.np",
"gov.om",
"gov.pk",
"gov.ps",
"gov.pt",
"gov.qa",
"gov.ru",
"gov.sa",
"gov.sb",
"gov.sd",
"gov.sg",
"gov.sh",
"gov.st",
"gov.sy",
"gov.tn",
"gov.tr",
"gov.tt",
"gov.tw",
"gov.ua",
"gov.uk",
"gov.ve",
"gov.vn",
"gov.ws",
"gov.ye",
"gov.za",
"gov.zw",
"govt.nz",
"gr.jp",
"greta.fr",
"gs.cn",
"gsm.pl",
"gub.uy",
"guernsey.gg",
"gunma.jp",
"gv.at",
"gx.cn",
"gz.cn",
"hb.cn",
"he.cn",
"health.vn",
"hi.cn",
"hiroshima.jp",
"hk.cn",
"hl.cn",
"hn.cn",
"hokkaido.jp",
"hotel.hu",
"hu.com",
"huissier-justice.fr",
"hyogo.jp",
"ibaraki.jp",
"id.au",
"id.au",
"id.fj",
"id.ir",
"id.lv",
"idf.il",
"idv.hk",
"idv.tw",
"imb.br",
"ind.br",
"ind.er",
"ind.gg",
"ind.gt",
"ind.in",
"ind.je",
"ind.tn",
"inf.br",
"info.au",
"info.co",
"info.et",
"info.hu",
"info.pl",
"info.ro",
"info.tn",
"info.tt",
"info.ve",
"info.vn",
"ingatlan.hu",
"int.ar",
"int.co",
"int.pt",
"int.tt",
"int.ve",
"int.vn",
"intl.tn",
"ishikawa.jp",
"it.tt",
"iwate.jp",
"iwi.nz",
"jersey.je",
"jl.cn",
"jobs.tt",
"jogasz.hu",
"jor.br",
"js.cn",
"k12.ec",
"k12.il",
"k12.tr",
"kagawa.jp",
"kagoshima.jp",
"kanagawa.jp",
"kanazawa.jp",
"kawasaki.jp",
"kitakyushu.jp",
"kobe.jp",
"kochi.jp",
"komforb.se",
"kommunalforbund.se",
"komvux.se",
"konyvelo.hu",
"kumamoto.jp",
"kyonggi.kr",
"kyoto.jp",
"lakas.hu",
"lanarb.se",
"lanbib.se",
"law.za",
"lel.br",
"lg.jp",
"lkd.co.im",
"ln.cn",
"ltd.gg",
"ltd.je",
"ltd.uk",
"mail.pl",
"maori.nz",
"mat.br",
"matsuyama.jp",
"mb.ca",
"me.uk",
"med.br",
"med.ec",
"med.ee",
"med.om",
"med.sa",
"med.sd",
"medecin.fr",
"media.hu",
"media.pl",
"miasta.pl",
"mie.jp",
"mil.ac",
"mil.ar",
"mil.br",
"mil.co",
"mil.do",
"mil.ec",
"mil.er",
"mil.ge",
"mil.gt",
"mil.gu",
"mil.id",
"mil.in",
"mil.jo",
"mil.kh",
"mil.lb",
"mil.lv",
"mil.nz",
"mil.pe",
"mil.ph",
"mil.pl",
"mil.sh",
"mil.st",
"mil.tr",
"mil.uy",
"mil.ve",
"mil.ye",
"mil.za",
"miyagi.jp",
"miyazaki.jp",
"mo.cn",
"mob.nr",
"mobi.tt",
"mobil.nr",
"mobile.nr",
"mod.om",
"mod.uk",
"muni.il",
"mus.br",
"museum.mn",
"museum.om",
"museum.tt",
"nagano.jp",
"nagasaki.jp",
"nagoya.jp",
"name.et",
"name.tt",
"name.vn",
"nara.jp",
"nat.tn",
"naturbruksgymn.se",
"nb.ca",
"ne.jp",
"ne.kr",
"net.ac",
"net.ae",
"net.ar",
"net.au",
"net.az",
"net.bb",
"net.bh",
"net.bm",
"net.br",
"net.bs",
"net.ck",
"net.cn",
"net.cu",
"net.cy",
"net.do",
"net.dz",
"net.ec",
"net.eg",
"net.er",
"net.et",
"net.fk",
"net.ge",
"net.gg",
"net.gr",
"net.gt",
"net.gu",
"net.hk",
"net.id",
"net.il",
"net.im",
"net.in",
"net.ir",
"net.je",
"net.jo",
"net.jp",
"net.kh",
"net.kw",
"net.la",
"net.lb",
"net.lc",
"net.lv",
"net.ly",
"net.ma",
"net.mm",
"net.mo",
"net.mt",
"net.mx",
"net.my",
"net.na",
"net.nc",
"net.ng",
"net.ni",
"net.np",
"net.nz",
"net.om",
"net.pa",
"net.pe",
"net.pg",
"net.ph",
"net.pk",
"net.pl",
"net.pt",
"net.py",
"net.qa",
"net.ru",
"net.sa",
"net.sb",
"net.sd",
"net.sg",
"net.sh",
"net.st",
"net.sy",
"net.th",
"net.tn",
"net.tr",
"net.tt",
"net.tw",
"net.ua",
"net.uk",
"net.uy",
"net.ve",
"net.vi",
"net.vn",
"net.vu",
"net.ws",
"net.ye",
"net.za",
"news.hu",
"nf.ca",
"ngo.ph",
"ngo.za",
"nhs.uk",
"nic.im",
"nic.in",
"nic.tt",
"nic.uk",
"nieruchomosci.pl",
"niigata.jp",
"nl.ca",
"nm.cn",
"no.com",
"nom.br",
"nom.co",
"nom.es",
"nom.fk",
"nom.fr",
"nom.ni",
"nom.pe",
"nom.pl",
"nom.re",
"nom.ro",
"nom.ve",
"nom.za",
"nome.pt",
"not.br",
"notaires.fr",
"ns.ca",
"nt.ca",
"nt.ro",
"ntr.br",
"nu.ca",
"nx.cn",
"odo.br",
"oita.jp",
"okayama.jp",
"okinawa.jp",
"on.ca",
"or.at",
"or.cr",
"or.id",
"or.jp",
"or.kr",
"or.th",
"or.ug",
"org.ac",
"org.ae",
"org.ai",
"org.ar",
"org.au",
"org.az",
"org.bb",
"org.bh",
"org.bm",
"org.br",
"org.bs",
"org.ck",
"org.cn",
"org.co",
"org.cu",
"org.cy",
"org.do",
"org.dz",
"org.ec",
"org.ee",
"org.eg",
"org.er",
"org.es",
"org.et",
"org.fj",
"org.fk",
"org.ge",
"org.gg",
"org.gr",
"org.gt",
"org.gu",
"org.hk",
"org.hu",
"org.il",
"org.im",
"org.in",
"org.ir",
"org.je",
"org.jo",
"org.jp",
"org.kh",
"org.kw",
"org.la",
"org.lb",
"org.lc",
"org.lv",
"org.ly",
"org.ma",
"org.mm",
"org.mn",
"org.mo",
"org.mt",
"org.mx",
"org.my",
"org.na",
"org.nc",
"org.ng",
"org.ni",
"org.np",
"org.nz",
"org.om",
"org.pa",
"org.pe",
"org.ph",
"org.pk",
"org.pl",
"org.pt",
"org.py",
"org.qa",
"org.ro",
"org.ru",
"org.sa",
"org.sb",
"org.sd",
"org.se",
"org.sg",
"org.sh",
"org.st",
"org.sv",
"org.sy",
"org.tn",
"org.tr",
"org.tt",
"org.tw",
"org.ua",
"org.uk",
"org.uy",
"org.ve",
"org.vi",
"org.vn",
"org.vu",
"org.ws",
"org.ye",
"org.yu",
"org.za",
"org.zw",
"osaka.jp",
"otc.au",
"oz.au",
"parti.se",
"pc.pl",
"pe.ca",
"pe.kr",
"per.kh",
"per.sg",
"pharmacien.fr",
"plc.co.im",
"plc.uk",
"plo.ps",
"pol.dz",
"police.uk",
"port.fr",
"powiat.pl",
"pp.ru",
"pp.se",
"ppg.br",
"prd.fr",
"press.ma",
"press.se",
"presse.fr",
"pri.ee",
"principe.st",
"priv.at",
"priv.hu",
"priv.pl",
"pro.ae",
"pro.br",
"pro.om",
"pro.tt",
"pro.vn",
"psc.br",
"psi.br",
"pub.sa",
"publ.pt",
"pvt.ge",
"qc.ca",
"qc.com",
"qh.cn",
"qsl.br",
"re.kr",
"realestate.pl",
"rec.br",
"rec.co",
"rec.ro",
"rec.ve",
"red.sv",
"reklam.hu",
"rel.pl",
"res.in",
"rnrt.tn",
"rns.tn",
"rnu.tn",
"ru.com",
"sa.com",
"sa.cr",
"saga.jp",
"saitama.jp",
"saotome.st",
"sapporo.jp",
"sark.gg",
"sc.cn",
"sch.ae",
"sch.gg",
"sch.ir",
"sch.je",
"sch.ng",
"sch.sa",
"sch.sd",
"sch.uk",
"school.fj",
"school.nz",
"school.za",
"sci.eg",
"se.com",
"se.tt",
"sec.ps",
"sendai.jp",
"seoul.kr",
"sex.hu",
"sex.pl",
"sh.cn",
"shiga.jp",
"shimane.jp",
"shizuoka.jp",
"shop.hu",
"shop.pl",
"sk.ca",
"sklep.pl",
"sld.do",
"sld.pa",
"slg.br",
"sn.cn",
"sos.pl",
"sport.hu",
"srv.br",
"sshn.se",
"store.co",
"store.ro",
"store.st",
"store.ve",
"suli.hu",
"sx.cn",
"szex.hu",
"szkola.pl",
"takamatsu.jp",
"targi.pl",
"tec.ve",
"tel.no",
"tel.nr",
"telecom.na",
"telememo.au",
"tj.cn",
"tlf.nr",
"tm.fr",
"tm.hu",
"tm.mt",
"tm.pl",
"tm.ro",
"tm.se",
"tm.za",
"tmp.br",
"tochigi.jp",
"tokushima.jp",
"tokyo.jp",
"tottori.jp",
"tourism.pl",
"tourism.tn",
"toyama.jp",
"tozsde.hu",
"travel.pl",
"travel.tt",
"trd.br",
"tur.br",
"turystyka.pl",
"tv.br",
"tw.cn",
"uk.com",
"uk.net",
"uk.tt",
"unam.na",
"us.com",
"us.tt",
"utazas.hu",
"utsunomiya.jp",
"uu.mt",
"uy.com",
"vet.br",
"veterinaire.fr",
"video.hu",
"wakayama.jp",
"web.co",
"web.do",
"web.pk",
"web.ve",
"web.za",
"www.ro",
"xj.cn",
"xz.cn",
"yamagata.jp",
"yamaguchi.jp",
"yamanashi.jp",
"yk.ca",
"yn.cn",
"yokohama.jp",
"za.com",
"zj.cn",
"zlg.br",
0
};
